# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               jackmixdesk
%define rev         125
Version:            0.4+r%{rev}
Release:            1.2
Summary:            TODO
Source:             %{name}-r%{rev}.tar.bz2
Source1:            %{name}.png
Source2:            %{name}.desktop
URL:                http://sourceforge.net/p/jackmixdesk/wiki/Home/
Group:              Productivity/Multimedia/Sound/Mixers
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      jack-devel >= 0.100.0
BuildRequires:      lash-devel
BuildRequires:      liblo-devel >= 0.23
BuildRequires:      libxml2-devel >= 2.6.27
BuildRequires:      gtk2-devel
BuildRequires:      libxml2-devel >= 2.6.27
BuildRequires:      libgnomecanvas-devel
BuildRequires:      libidn-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
JackMixDesk is an audio mixer for JACK with an OSC control interface and LASH
support. It has a configurable number of inputs and pre/post sends/outs which
can be controlled by sending it OSC messages. There is a XML config file and a
GTK interface.

%prep
%setup -q -n "%{name}"

%build
[ -x ./configure ] || autoreconf -fiv
export SUSE_ASNEEDED=0
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/doc"/jackmixdesk*

%__install -D "%{SOURCE1}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%__install -D "%{SOURCE2}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Mixer

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/jackmixdesk
%{_bindir}/jackmixdesk_gtk
%{_datadir}/jackmixdesk
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Mar 23 2013 pascal.bleser@opensuse.org
- initial version (0.4+r%%{rev})
